Last Comment Bug 715380 - Provide telemetry on timers created by webpages
: Provide telemetry on timers created by webpages
Status: RESOLVED FIXED
[snappy:p3]
:
Product: Core
Classification: Components
Component: DOM (show other bugs)
: unspecified
: x86 Windows 7
: -- normal with 2 votes (vote)
: ---
Assigned To: Nathan Froyd [:froydnj]
:
Mentors:
Depends on: 715947 715950 715953
Blocks: 715378
  Show dependency treegraph
 
Reported: 2012-01-04 16:22 PST by (dormant account)
Modified: 2012-02-21 11:14 PST (History)
7 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments

Description (dormant account) 2012-01-04 16:22:38 PST
We need something to give us an idea of how much of a problem timers are (and measure progress).
* telemetry on how many setTimeouts within one nsITimer run
* telemetry on how many timeouts are attached to a window
* telemetry on how many background timeouts are scheduled within 30seconds

Nathan, can you dive into this? bz will guide you as to where to stick the probes.
Comment 1 Nathan Froyd [:froydnj] 2012-01-04 17:11:04 PST
(In reply to Taras Glek (:taras) from comment #0)
> We need something to give us an idea of how much of a problem timers are
> (and measure progress).
> * telemetry on how many setTimeouts within one nsITimer run
> * telemetry on how many timeouts are attached to a window
> * telemetry on how many background timeouts are scheduled within 30seconds

Is there a reason this bug is in DOM, but nsTimerImpl is in xpcom?  I guess for the first bit one wants to modify nsTimerImpl, but for the other two, some DOM plumbing will be required?
Comment 2 Kyle Huey [:khuey] (Exited; not receiving bugmail, email if necessary) 2012-01-04 17:14:55 PST
There are XPCOM timers (nsTimerImpls) and DOM timers (nsTimeouts), and they are distinct but related entities.
Comment 3 (dormant account) 2012-02-14 15:50:33 PST
I think bug 715953 is sufficient to show that we need to be more clever with our timers.
Comment 4 (dormant account) 2012-02-14 16:11:09 PST
I keep accidentally using a non-existent snappy:p4 priority
Comment 5 Nathan Froyd [:froydnj] 2012-02-21 11:14:47 PST
Dependent bugs fixed.  Closing.

Note You need to log in before you can comment on or make changes to this bug.